from jetpack.messaging import log
from jetpack.amqp import send

import jetpack.users
import jetpack.util

class InitializationError(Exception):
    pass

def initialize():
    """ Initialize jetpack """

    # NOTE: For now we just manage users, if any errors happened raise a UserError so we can report it back
    # instead of having the converge fail with "jetpack-initialize returned status 1"
    errors = jetpack.users.manage()
    if errors:
        description = "An error occurred while managing users during jetpack initialization"
        detail = "\n".join(errors)
        raise jetpack.util.UserError("Jetpack Initialization Error", description=description, detail=detail)
